library(stockassessment)
load("run/model.RData")
FC<-list()
Ry<-2000:2017
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit,  fval=c(0.228,0.165,0.165, 0.165), rec.years=Ry, label="SQ then Fmsy=0.17", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit,  fval=c(0.228,0.000001,0.000001, 0.000001), rec.years=Ry, label="SQ then zero", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,1,1,1), fval=c(0.228,NA,NA, NA),rec.years=Ry, label="SQ all years", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit,  fval=c(0.228,0.40,0.40, 0.40), rec.years=Ry, label="SQ then Fpa", addTSB=TRUE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fval=c(0.228,0.54,0.54, 0.54), rec.years=Ry, label="SQ then Flim", addTSB=TRUE)
save(FC, file="run/forecast.RData")
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,.5,1,1), rec.years=Ry, label="SQ, then half")
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,.75,1,1), rec.years=Ry, label="SQ, then 3/4")
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,.9,1,1), rec.years=Ry, label="SQ, then scale .9")
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1.1,1,1), rec.years=Ry, label="SQ, then scale 1.1")
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.13,0.13, 0.13), rec.years=Ry, label="SQ then .13")
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.11,0.11, 0.11), rec.years=Ry, label="SQ then .11")
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.26,0.26, 0.26), rec.years=Ry, label="SQ then Fpa")
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.35,0.35, 0.35), rec.years=Ry, label="SQ then Flim")
